## kmplot 4.13.0

=== CMakeLists.txt ===
project(kmplot)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(CheckIncludeFiles)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})
add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

check_include_files(ieeefp.h HAVE_IEEEFP_H)
configure_file(config-kmplot.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kmplot/config-kmplot.h)

add_subdirectory( doc )
add_subdirectory( kmplot ) 
add_subdirectory( icons )

=== doc/CMakeLists.txt ===
########### install files ###############
#

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kmplot)
kde4_create_manpage(man-kmplot.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

## kmplot 4.7.1

=== debian/changelog ===
kmplot (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 01:01:13 +0200

kmplot (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Fri, 09 Sep 2011 23:43:58 -0400

kmplot (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Bump kde-sc-dev-latest build dep to 4:4.7.0

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 24 Jul 2011 02:04:21 +0530

kmplot (4:4.6.90+repack-0ubuntu1) oneiric; urgency=low

  * Initial release (moved out of kdeedu)
  * Repack upstream source to include a copy of the FDL

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 10 Jul 2011 11:52:51 +0200

=== debian/control ===
Source: kmplot
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6)
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot

Package: kmplot
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: mathematical function plotter for KDE
 KmPlot is a powerful mathematical plotter KDE, capable of plotting multiple
 functions simultaneously and combining them into new functions.
 .
 Cartesian, parametric, and differential functions are supported, as well as
 functions using polar coordinates.  Plots are printed with high precision at
 the correct aspect ratio.
 .
 KmPlot also provides numerical and visual features such as filling and
 calculating the area between the plot and the first axis, finding maxima and
 minima, changing function parameters dynamically, and plotting derivatives
 and integral functions.
 .
 This package is part of the KDE education module.

## kmplot 4.7.2

=== debian/changelog ===
kmplot (4:4.7.2-1) experimental; urgency=low

  [ Felix Geyer ]
  * Initial release, based on the Kubuntu package.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:46:05 -0300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: kmplot
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.6)
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Eshat Cakar <info@eshat.de>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+ cmake,
+ debhelper (>= 7.3.16),
+ pkg-kde-tools (>= 0.12),
+ kdelibs5-dev (>= 4:4.7)
 Standards-Version: 3.9.2
-Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot
+Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
+Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/kmplot.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmplot.git
 
 Package: kmplot
 Architecture: any

## kmplot 4.7.3

=== debian/changelog ===
kmplot (4:4.7.3-0ubuntu0.1) oneiric-proposed; urgency=low

  [ Philip Muškovac ]
  * New  upstream bugfix release (LP: #901975)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 08 Dec 2011 22:29:25 -0500

kmplot (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #872506)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 04 Oct 2011 19:59:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: kmplot
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
- cmake,
- debhelper (>= 7.3.16),
- pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7)
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.3),
+ cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
+ kdelibs5-dev (>= 4:4.6)
 Standards-Version: 3.9.2
-Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
-Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/kmplot.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmplot.git
+Homepage: http://edu.kde.org/
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot
 
 Package: kmplot
 Architecture: any

## kmplot 4.7.4

=== debian/changelog ===
kmplot (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Wed, 07 Mar 2012 16:39:11 +0100

kmplot (4:4.7.4-1) experimental; urgency=low

  * New upstream release. 
  
  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.
  * Add myself to Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:37:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: kmplot
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.3),
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.6)
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Eshat Cakar <info@eshat.de>,
+ José Manuel Santamaría Lema <panfaust@gmail.com>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+ cmake,
+ debhelper (>= 7.3.16),
+ pkg-kde-tools (>= 0.12),
+ kdelibs5-dev (>= 4:4.7)
 Standards-Version: 3.9.2
-Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot
+Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
+Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/kmplot.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmplot.git
 
 Package: kmplot
 Architecture: any

## kmplot 4.8.2

=== debian/changelog ===
kmplot (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 02 Apr 2012 18:33:43 +0200

kmplot (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 20:34:34 +0100

kmplot (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2012 12:10:31 +0000

kmplot (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:29 +0000

kmplot (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 20:38:17 +0100

kmplot (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Dec 2011 13:14:40 +0000

kmplot (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian Git, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:47:02 +0000

kmplot (4:4.7.2-1) UNRELEASED; urgency=low

  [ Felix Geyer ]
  * Initial release, based on the Kubuntu package.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 25 Oct 2011 00:23:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: kmplot
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Eshat Cakar <info@eshat.de>
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7)
+ kdelibs5-dev (>= 4:4.8.1)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
-Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/kmplot.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmplot.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kmplot.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmplot.git
 
 Package: kmplot
 Architecture: any

## kmplot 4.8.4

=== debian/changelog ===
kmplot (4:4.8.4-2) unstable; urgency=low

  * Team upload.
  * Depend on libkdeedu-data to get the graph icons. (Closes: #679384)

 -- Pino Toscano <pino@debian.org>  Fri, 29 Jun 2012 15:09:17 +0200

kmplot (4:4.8.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

  [ Eshat Cakar ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.4.
  * Bump kdelibs5-dev build dependency to 4:4.8.
  * Bump Standards-Version to 3.9.3, no further changes.
  * Add watch file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 19 Jun 2012 13:03:09 -0300

=== debian/control ===
Source: kmplot
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake,
 debhelper (>= 7.3.16),
 pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8)
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/kmplot.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmplot.git

Package: kmplot
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, libkdeedu-data
Suggests: khelpcenter4
Description: mathematical function plotter for KDE
 KmPlot is a powerful mathematical plotter KDE, capable of plotting multiple
 functions simultaneously and combining them into new functions.
 .
 Cartesian, parametric, and differential functions are supported, as well as
 functions using polar coordinates.  Plots are printed with high precision at
 the correct aspect ratio.
 .
 KmPlot also provides numerical and visual features such as filling and
 calculating the area between the plot and the first axis, finding maxima and
 minima, changing function parameters dynamically, and plotting derivatives
 and integral functions.
 .
 This package is part of the KDE education module.

## kmplot 4.9.2

=== debian/changelog ===
kmplot (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:30:19 +0100

kmplot (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:35:16 +0530

kmplot (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:28:55 +0100

kmplot (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:33:47 +0200

kmplot (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 14:15:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: kmplot
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Eshat Cakar <info@eshat.de>
+Build-Depends: 
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8)
-Standards-Version: 3.9.3
+ kdelibs5-dev (>= 4:4.9.2)
+Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
-Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/kmplot.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmplot.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kmplot.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmplot.git
 
 Package: kmplot
 Architecture: any
 Section: math
-Depends: ${shlibs:Depends}, ${misc:Depends}, libkdeedu-data
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: khelpcenter4
 Description: mathematical function plotter for KDE
  KmPlot is a powerful mathematical plotter KDE, capable of plotting multiple

## kmplot 4.9.3

=== debian/changelog ===
kmplot (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:38:44 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2)
+ kdelibs5-dev (>= 4:4.9.3)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot

## kmplot 4.10.0

=== debian/changelog ===
kmplot (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:58:37 +0000

kmplot (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:46:08 +0000

kmplot (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:38:57 +0100

kmplot (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:34:55 +0000

kmplot (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:00:24 +0000

kmplot (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:01:18 +0000

kmplot (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:38:47 +0100

kmplot (4:4.7.2-1) raring; urgency=low

  [ Felix Geyer ]
  * Initial release, based on the Kubuntu package.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 25 Oct 2011 00:23:02 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.3)
+ kdelibs5-dev (>= 4:4.10.0)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot

## kmplot 4.10.2

=== debian/changelog ===
kmplot (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:52:41 +0200

kmplot (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
  * Fix copyright syntax 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:33:37 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0)
+ kdelibs5-dev (>= 4:4.10.2)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot

## kmplot 4.11.2

=== debian/changelog ===
kmplot (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:31:17 +0100

kmplot (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:26:50 +0100

kmplot (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:21:29 +0100

kmplot (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:41:51 +0100

kmplot (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:44 +0000

kmplot (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:18:18 +0100

kmplot (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:25:52 +0100

kmplot (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:37:19 +0100

kmplot (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:46 +0000

kmplot (4:4.10.2-1) experimental; urgency=low

  * New upstream release.
  * Bump build-deps.
  * Update uploaders.

 -- Sune Vuorela <sune@debian.org>  Tue, 09 Apr 2013 07:48:38 +0000

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,24 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>
-Build-Depends: 
+Uploaders: Eshat Cakar <info@eshat.de>,
+ Sune Vuorela <sune@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2)
-Standards-Version: 3.9.2
+ kdelibs5-dev (>= 4:4.11.2)
+Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot
-X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kmplot.git
+X-Debian-Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/kmplot.git
 X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmplot.git
 
 Package: kmplot
 Architecture: any
 Section: math
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libkdeedu-data
 Suggests: khelpcenter4
 Description: mathematical function plotter for KDE
  KmPlot is a powerful mathematical plotter KDE, capable of plotting multiple

## kmplot 4.11.3

=== debian/changelog ===
kmplot (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 15:23:29 +0100

kmplot (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 16:52:58 +0200

kmplot (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:45:36 +0200

kmplot (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 14:31:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: kmplot
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
- Sune Vuorela <sune@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.10),
+           José Manuel Santamaría Lema <panfaust@gmail.com>,
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.11),
  cmake,
- debhelper (>= 7.3.16),
+ debhelper (>= 9),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2)
-Standards-Version: 3.9.3
+ kdelibs5-dev (>= 4:4.11)
+Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot
-X-Debian-Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/kmplot.git
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmplot.git
+Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/kmplot.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmplot.git
 
 Package: kmplot
 Architecture: any

## kmplot 4.12.3

=== debian/changelog ===
kmplot (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:41:37 +0100

kmplot (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:55:50 +0100

kmplot (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:06:58 +0000

kmplot (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:23:01 +0000

kmplot (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:15:04 +0000

kmplot (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:15:45 +0000

kmplot (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:13:03 +0100

kmplot (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:44:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: kmplot
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
-           José Manuel Santamaría Lema <panfaust@gmail.com>,
-           Maximiliano Curia <maxy@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.11),
+ Sune Vuorela <sune@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake,
- debhelper (>= 9),
+ debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11)
-Standards-Version: 3.9.4
+ kdelibs5-dev (>= 4:4.12.3)
+Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
-Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/kmplot.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmplot.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot
+X-Debian-Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/kmplot.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmplot.git
 
 Package: kmplot
 Architecture: any

## kmplot 4.13.0

=== debian/changelog ===
kmplot (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:08:23 +0100

kmplot (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:32:46 +0200

kmplot (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:34:25 +0100

kmplot (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:04:45 +0000

kmplot (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:54:40 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3)
+ kdelibs5-dev (>= 4:4.13.0)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot

## kmplot 4.14.1

=== debian/changelog ===
kmplot (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:22:29 +0200

kmplot (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:14:53 +0200

kmplot (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:56:55 +0200

kmplot (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:24:31 +0200

kmplot (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:18:32 +0200

kmplot (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:41:54 +0100

kmplot (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:23:42 +0200

kmplot (4:4.12.2-1) experimental; urgency=low

  * Update Uploaders list.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>,
- Sune Vuorela <sune@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.10),
- cmake,
- debhelper (>= 7.3.16),
- pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0)
-Standards-Version: 3.9.3
+Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev (>= 4:4.14.1),
+               pkg-kde-tools (>= 0.12)
+Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot
@@ -20,7 +19,7 @@
 Package: kmplot
 Architecture: any
 Section: math
-Depends: ${shlibs:Depends}, ${misc:Depends}, libkdeedu-data
+Depends: libkdeedu-data, ${misc:Depends}, ${shlibs:Depends}
 Suggests: khelpcenter4
 Description: mathematical function plotter for KDE
  KmPlot is a powerful mathematical plotter KDE, capable of plotting multiple

## kmplot 4.14.2

=== debian/changelog ===
kmplot (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:12:52 +0200

kmplot (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:18 +0200

kmplot (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 07:04:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,17 @@
 Source: kmplot
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.11),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmplot
-X-Debian-Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/kmplot.git
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmplot.git
+Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/kmplot.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmplot.git
 
 Package: kmplot
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kmplot-([\d.]+).tar.xz

## kmplot 14.12.3

=== debian/changelog ===
kmplot (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:58:23 -0700

kmplot (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 Feb 2015 10:27:06 +0100

kmplot (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:51:11 -0800

kmplot (4:14.12.0-0ubuntu1) vivid; urgency=medium

  [ Philip Muškovac ]
  * Depend on kdeedu-data instead of libkdeedu-data

  [ Scarlett Clark ]
  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:19:06 +0100

kmplot (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 21:38:37 -0800

kmplot (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series
   - Change maintainer to Debian/Kubuntu
   - Fix Watch file applications locations
   - Fix VCS for new kde-applications location
  * Debian merge, no remaining changes.

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 26 Nov 2014 16:48:33 +0000

kmplot (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:35:49 -0700

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: kmplot
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
-Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/kmplot.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmplot.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmplot.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kmplot.git
 
 Package: kmplot
 Architecture: any
 Section: math
-Depends: libkdeedu-data, ${misc:Depends}, ${shlibs:Depends}
-Suggests: khelpcenter4
+Depends: kdeedu-data, ${misc:Depends}, ${shlibs:Depends}
+Suggests: khelpcenter
 Description: mathematical function plotter for KDE
  KmPlot is a powerful mathematical plotter KDE, capable of plotting multiple
  functions simultaneously and combining them into new functions.

## kmplot 15.08.2

=== debian/changelog ===
kmplot (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:35:56 +0100

kmplot (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:10:25 +0100

kmplot (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:31:42 +0100

kmplot (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:48:14 +0100

kmplot (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Manual merge 
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:11:45 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,15 @@
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
-               pkg-kde-tools (>= 0.12)
+               extra-cmake-modules,
+               libkf5guiaddons-dev,
+               libkf5i18n-dev,
+               libkf5kdelibs4support-dev,
+               libkf5parts-dev,
+               libkf5widgetsaddons-dev,
+               libqt5svg5-dev,
+               pkg-kde-tools (>= 0.12),
+               qtbase5-dev (>= 5.3.0)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmplot.git

## kmplot 15.12.3

=== kmplot/CMakeLists.txt ===

add_definitions(-DTRANSLATION_DOMAIN=\"kmplot\")


########### next target ###############

set(kmplotpart_PART_SRCS 
   plotstylewidget.cpp
   initialconditionseditor.cpp
   functioneditor.cpp
   constants.cpp
   parser.cpp 
   xparser.cpp 
   equationedit.cpp
   equationeditwidget.cpp
   equationhighlighter.cpp
   equationeditorwidget.cpp
   equationeditor.cpp
   function.cpp
   view.cpp 
   maindlg.cpp 
   kprinterdlg.cpp 
   kconstanteditor.cpp
   kparametereditor.cpp
   functiontools.cpp 
   kmplotio.cpp 
   ksliderwindow.cpp 
   parameterswidget.cpp
   coordsconfigdialog.cpp
   parameteranimator.cpp
   vector.cpp
   kgradientdialog.cpp
   calculator.cpp
   )

qt5_add_dbus_adaptor( kmplotpart_PART_SRCS org.kde.kmplot.MainDlg.xml maindlg.h MainDlg)
qt5_add_dbus_adaptor( kmplotpart_PART_SRCS org.kde.kmplot.Parser.xml xparser.h XParser)
qt5_add_dbus_adaptor( kmplotpart_PART_SRCS org.kde.kmplot.View.xml view.h View)

ki18n_wrap_ui(kmplotpart_PART_SRCS
	plotstylewidget.ui
	initialconditionswidget.ui
	functioneditorwidget.ui
	editcoords.ui
	functiontools.ui
	qparametereditor.ui
	constantseditor.ui
	settingspagecolor.ui
	settingspagefonts.ui
	settingspagegeneral.ui
	settingspagediagram.ui
	sliderwidget.ui
	parameterswidget.ui
	parameteranimator.ui
	equationeditorwidget.ui
	)

kconfig_add_kcfg_files(kmplotpart_PART_SRCS settings.kcfgc )

add_library(kmplotpart MODULE ${kmplotpart_PART_SRCS})



target_link_libraries(kmplotpart KF5::KDELibs4Support KF5::Parts Qt5::Svg)

install(TARGETS kmplotpart  DESTINATION ${PLUGIN_INSTALL_DIR} )

########### next target ###############   

set(kmplot_SRCS main.cpp kmplot.cpp kmplotprogress.cpp)
qt5_add_dbus_adaptor(kmplot_SRCS org.kde.kmplot.KmPlot.xml kmplot.h KmPlot)

# FIXME: it's wrong, but otherwise it does not compile
kconfig_add_kcfg_files(kmplot_SRCS settings.kcfgc )

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-kmplot.png")
ecm_add_app_icon(kmplot_SRCS ICONS ${ICONS_SRCS})

add_executable(kmplot ${kmplot_SRCS})

target_link_libraries(kmplot  KF5::KDELibs4Support KF5::Parts)

install(TARGETS kmplot  ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( PROGRAMS org.kde.kmplot.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES kmplot.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES kmplot_part.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES kmplot_part.rc kmplot_part_readonly.rc  DESTINATION  ${KXMLGUI_INSTALL_DIR}/kmplot )
install( FILES kmplot_shell.rc  DESTINATION  ${KXMLGUI_INSTALL_DIR}/kmplot )
install( FILES org.kde.kmplot.KmPlot.xml org.kde.kmplot.MainDlg.xml org.kde.kmplot.Parser.xml org.kde.kmplot.View.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )

=== debian/changelog ===
kmplot (4:15.12.3-0ubuntu2) xenial; urgency=medium

  * Add upstream patch to fix build isnan with new libc6. 
  * Release to archive. 
  * Fix cruft in patch.
  * Adjust newlines in patch.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 15 Apr 2016 06:37:50 -0700

kmplot (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:36:19 -0700

kmplot (4:15.12.1-1ubuntu1) xenial; urgency=medium

  * New upstream release
  * Merged with Debian 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:54:12 +0100

kmplot (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:09 +0100

kmplot (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:38:28 +0100

kmplot (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:36 +0200

kmplot (4:15.08.0-1) unstable; urgency=medium

  * Upload to unstable

  [ Maximiliano Curia ]
  * New upstream release (15.08.0).

  [ Scott Kitterman ]
  * Drop obsolete build-depends on kde-sc-dev-latest and kdelibs5-dev
  * Update debian/rules to use /usr/share/pkg-kde-tools/qt-kde-team/3/
    debian-qt-kde.mk

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 03 Sep 2015 18:43:03 -0400

kmplot (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:12:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules,
+               extra-cmake-modules (>= 1.3.0~),
+               kdoctools-dev,
                libkf5guiaddons-dev,
                libkf5i18n-dev,
                libkf5kdelibs4support-dev,
                libkf5parts-dev,
                libkf5widgetsaddons-dev,
-               libqt5svg5-dev,
+               libqt5svg5-dev (>= 5.4),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.3.0)
+               qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmplot.git

## kmplot 16.04.2

=== debian/changelog ===
kmplot (4:16.04.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 21:42:01 +0200

kmplot (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:49:29 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 1.3.0~),
                kdoctools-dev,
+               libkf5crash-dev,
+               libkf5dbusaddons-dev,
                libkf5guiaddons-dev,
                libkf5i18n-dev,
                libkf5kdelibs4support-dev,
@@ -15,10 +17,10 @@
                libqt5svg5-dev (>= 5.4),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.4)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmplot.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kmplot.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kmplot.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kmplot.git
 
 Package: kmplot
 Architecture: any

## kmplot 16.04.3

=== debian/changelog ===
kmplot (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Remove upstream applied isnan patch. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:29:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,20 @@
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               kdoctools-dev,
-               libkf5crash-dev,
-               libkf5dbusaddons-dev,
-               libkf5guiaddons-dev,
-               libkf5i18n-dev,
-               libkf5kdelibs4support-dev,
-               libkf5parts-dev,
-               libkf5widgetsaddons-dev,
-               libqt5svg5-dev (>= 5.4),
+               extra-cmake-modules (>= 5.24.0~),
+               kdoctools-dev (>= 5.24.0~),
+               libkf5guiaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
+               libkf5parts-dev (>= 5.24.0~),
+               libkf5widgetsaddons-dev (>= 5.24.0~),
+               libqt5svg5-dev (>= 5.6.1~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.4)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kmplot.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kmplot.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmplot
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmplot
 
 Package: kmplot
 Architecture: any
